REST API Q1 2027
Private beta.
The API opens to pilot customers in Q1 2027. Keys are issued from Settings → API keys. The shape below is the v1 design; it may change before GA and changes are announced in the changelog.
Authentication
curl https://api.alt.qa/v1/jobs \ -H "Authorization: Bearer $ALTQA_API_KEY"
Keys are scoped to properties and roles, shown once, and rotatable without downtime.
Resources
| Group | Endpoints |
|---|---|
| properties | GET/POST /v1/properties · POST /v1/properties/{id}/verify |
| authorizations | GET/POST /v1/properties/{id}/authorizations |
| funnels · goals | GET/POST /v1/properties/{id}/funnels |
| personas · agents | GET /v1/personas · GET /v1/agents |
| jobs | POST /v1/jobs · POST /v1/jobs/estimate · POST /v1/jobs/{id}/pause|kill |
| cells | GET /v1/cells/{id} · /replay · /evidence |
| findings | GET /v1/findings?confidence=confirmed |
| reports | GET /v1/reports/{job}/go-no-go|delta|pdf |
| evidence-packs · webhooks · usage · benchmark | see sections in the app |
Example: estimate, then run
POST /v1/jobs/estimate
{
"targets": ["book.northwind-travel.example"],
"goals": ["book"],
"personas": ["first-timer-mobile", "keyboard-only"],
"agents": ["claude-cu", "browser-use"],
"repeats": 1
}
→ { "cells": 4, "estimatedCostUsd": 6.20, "estimatedMinutes": 5 }